Package com.databricks.jdbc.model.telemetry

## Class TelemetryClientContext

- java.lang.Object
- - com.databricks.jdbc.model.telemetry.TelemetryClientContext

    public class TelemetryClientContext
    extends Object

### Constructor Summary

Constructors
`TelemetryClientContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Long` `getTimestampMillis()`
`String` `getUserAgent()`
`TelemetryClientContext` `setTimestampMillis​(Long timestampMillis)`
`TelemetryClientContext` `setUserAgent​(String userAgent)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TelemetryClientContext

    public TelemetryClientContext()

### Method Detail

#### getTimestampMillis

    public Long getTimestampMillis()

#### setTimestampMillis

    public TelemetryClientContext setTimestampMillis​(Long timestampMillis)

#### getUserAgent

    public String getUserAgent()

#### setUserAgent

    public TelemetryClientContext setUserAgent​(String userAgent)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`